image:
    name: structurizr/cli
    entrypoint: [""]

stages:
  - build
  - publish

validate-mr:
  stage: build
  except:
    - main
    - master
    - tags
  script: /opt/structurizr/structurizr.sh validate -workspace architectureModel.dsl

publish:
  stage: publish 
  tags:
    - $RUNNER_TAG
  only:
    - master
    - main
  except:
    - tags
  script: /opt/structurizr/structurizr.sh push -id $WORKSPACE_ID -key $WORKSPACE_KEY -secret $WORKSPACE_SECRET -workspace architectureModel.dsl


